View Issue Details

IDProjectCategoryView StatusLast Update
0031652RunnerFunctionsPublic2020-03-09 12:09
ReporterAliceAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindows OSWindows 10OS Version10
Product Version2.2.5 
Target VersionFixed in VersionInternal Build 
Summary0031652: Functions: Wrong error message when the wrong argument type is used in json_decode
DescriptionIssue:
When using json_decode(string), if the wrong argument type is passed through it, the error message says:

"json_decode argument 1 incorrect type (string) expecting a Number (YYGR)"

Please note that this also causes a crash when running through the runner, but it does not crash when running through the debugger.

Expected:
The error message for json_decode correctly states that the function requires a string for argument 1, not a number.
Steps To Reproduce1-Launch the IDE
2-Import the project attached
3-Run the project
4-Observe the issue
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.5.378
2.x Runtime Verified In9.9.1.1716

Activities

Alice

2020-03-03 16:52

Adminstrator  

json_decode.yyz (20,674 bytes)

Russell Kay

2020-03-05 16:53

Manager   ~0065439

User code is incorrect as it is creating a ds_grid and sending that to json_encode this returns a NULL string that json_decode was not handling well (treated a NULL pointer as this must be a non-string)

json_decode now handles the NULL string properly

Alice

2020-03-09 12:09

Adminstrator   ~0065458

Verified fixed on IDE v9.2.1.2151 Runtime v9.9.1.1716.

Closing the bug. Thank you.